Retrieve current actor
curl --request GET \
--url https://api.engine.usesophic.com/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.engine.usesophic.com/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.engine.usesophic.com/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"first_name": "<string>",
"id": "<string>",
"last_name": "<string>",
"locale": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"profile_photo_url": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"context": {},
"docs": "<string>",
"params": [
{
"code": "<string>",
"detail": "<string>",
"path": [
123
]
}
]
}Identity
Retrieve current actor
Retrieves the authenticated user or service actor for inspection and debugging.
GET
/
me
Retrieve current actor
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
OK
- User
- Service
The (verified) email address of the user.
The first name of the user. Also referred to as the preferred name, as it can be the name the user wants to be called. It does not have to be the legal name.
Unique resource identifier.
The last name of the user.
The locale of the user e.g 'en_GB' or 'en_US'.
Relative URL of the user's profile photo, or null if none is set. Resolve it against the API base; the endpoint redirects to a short-lived image URL.